#### ホワイトリストのチェック
#### プロキシチェックが厳しすぎてプロキシでないのに取れない場合は
#### ホワイトリストファイルにホスト名を追加する
#### ホワイトリストファイルにホスト名のある場合は１を返し、ない場合は０を返す
### 参照大域変数：$RemoteHost
### 返り値：ホワイトリストファイルにホスト名があれば1、なければ0
### 入力ファイル：$ProxyWhiteListFile
### 呼出：&CheckProxy
sub CheckProxyWhiteList {
	return if (!$UseProxyWhiteList);

	use NetAddr::IP;
	my $ip = NetAddr::IP->new($RemoteAddr);

	foreach (@ProxyWhiteList) {
		s/^\s+//;
		s/\s+$//;
		next if(/^#/);  # コメント

		return(1) if ($_ eq $RemoteHost);  # リモートホスト名が一致

		# IPアドレスが一致（サブネットマスクの指定可）
		if (/^\d+\.\d+\.\d+\.\d+(\/\d+(\.\d+\.\d+\.\d+)?)?$/) {
			my $ip2 = NetAddr::IP->new($_);
			return(1) if ($ip->within($ip2));
		}
	}

	return(0);
}

(1);
